Skip to content

Refund Request

  • Endpoint: POST /delSuffixStart6
  • Tags: Collection Service

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30Merchant ID assigned by PayerMax.
bizTypestringYesmaxLength: 30Business type. Value 'refundApply' needs to be passed here.
versionstringYesmaxLength: 5API version, currently always pass '2.1'.
refundIdstringYesmaxLength: 64Refund request ID.
orderIdstringYesmaxLength: 64Original merchant order ID.
amountstringYesmaxLength: 64Refund amount, must be equal to the original payment amount. Currently partial refund is not supported.
currencystringYesmaxLength: 3Currency code in capital alphabet. 【Country & Region Codes
callbackUrlstringNomaxLength: 256Refund result callback URL.
commentsstringNomaxLength: 256Refund comments.
emailstringNomaxLength: 32Brazil’s Lottery and Boleto payment methods for refunds, send to the mailbox to accept the refund information collection page.

Example

json
{
  "merchantId": "SP12345678",
  "bizType": "refundApply",
  "version": "2.1",
  "refundId": "2018111211260556846",
  "orderId": "1535433555559",
  "amount": "1000.00",
  "currency": "INR",
  "callbackUrl": "https://***.com/revMsg",
  "comments": "Sales return",
  "email": "123@gmail.com"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 10Response code.
messagestringNomaxLength: 256Response description, interface error prompt.
dataobjectYesResponse body,refer to the below【data parameters】
data.refundIdstringYesmaxLength: 64Merchant refund request serial number.
data.tradeNostringYesmaxLength: 64The payermax original Platform Order ID.
data.orderIdstringYesmaxLength: 64The original Merchant Order ID.
data.statusnumberYesRefund status: 0 - initial refund, 1 - refund successful, 2 - refund failed.
data.errorCodestringNomaxLength: 64Refund error code.
data.errorMsgstringNomaxLength: 256Refund error result.

Response Example

json
{
  "bizCode": "0000",
  "data": {
    "tradeNo": "20220914153025TI2536162084804117",
    "refundId": "2018111211260556846",
    "orderId": "1535433555559",
    "status": 0
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.